Subject: Re: Python extension commands in git - request for policy change

From: Stefano Lattarini <[email-masked]>
Date: Sun, 25 Nov 2012 13:01:11 +0100

Hi David.  One minor but important correction ...

On 11/25/2012 12:51 PM, David Lang wrote:
>
> You may think that C and Bash are poor choices, but that is what the
> community is familar with.
>
Actually, it is C and POSIX shell -- not merely bash.  Indeed, the shell
code in Git is expected to work with the Solaris Korn shell, the BSD
/bin/sh, the dash shell (which is now the default /bin/sh on Debian and
Ubuntu), etc.

(Oh, and on the python vs. C vs. shell diatribe I'm mostly neutral,
mostly because I'm no Git developer, and I have no "cents to throw").

Regards,
  Stefano